com.pixelmed.dicom

## Class PDFToDicomImage

- java.lang.Object
- - com.pixelmed.dicom.PDFToDicomImage

    public class PDFToDicomImage
    extends java.lang.Object

A class for converting PDF files into a single or multi frame DICOM Secondary Capture image with one frame per page.

### Constructor Summary

Constructors
Constructor and Description
`PDFToDicomImage(java.lang.String inputFile, java.lang.String outputFile, java.lang.String patientName, java.lang.String patientID, java.lang.String studyID, java.lang.String seriesNumber, java.lang.String instanceNumber, int requestedDpi)` Read PDF file, and create a single or multi frame DICOM Secondary Capture image with one frame per page.

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` Read a PDF file, and create a single or multi frame DICOM Secondary Capture image with one frame per page.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFToDicomImage

    public PDFToDicomImage(java.lang.String inputFile,
                   java.lang.String outputFile,
                   java.lang.String patientName,
                   java.lang.String patientID,
                   java.lang.String studyID,
                   java.lang.String seriesNumber,
                   java.lang.String instanceNumber,
                   int requestedDpi)
                    throws java.io.IOException,
                           DicomException,
                           PdfException,
                           java.lang.Exception

Read PDF file, and create a single or multi frame DICOM Secondary Capture image with one frame per page.

Parameters:
  `inputFile` -
  `outputFile` -
  `patientName` -
  `patientID` -
  `studyID` -
  `seriesNumber` -
  `instanceNumber` -
  `requestedDpi` -
Throws:
  `DicomException`
  `java.io.IOException`
  `PdfException`
  `java.lang.Exception`

### Method Detail

#### main

    public static void main(java.lang.String[] arg)

Read a PDF file, and create a single or multi frame DICOM Secondary Capture image with one frame per page.

Parameters:
  `arg` - six parameters, the inputFile, outputFile, patientName, patientID, studyID, seriesNumber, instanceNumber, dots per inch